org.scalatest.verb.CanVerb

# StringCanWrapperForVerb

#### class StringCanWrapperForVerb extends AnyRef

This class supports the syntax of `FlatSpec`, `WordSpec`, `FixtureFlatSpec`, and `FixtureWordSpec`.

This class is used in conjunction with an implicit conversion to enable `can` methods to be invoked on `String`s.

Attributes
  final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. StringCanWrapperForVerb
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new StringCanWrapperForVerb (left: String)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def can (resultOfAfterWordApplication: ResultOfAfterWordApplication)(implicit fun: (String, String, ResultOfAfterWordApplication) ⇒ Unit): Unit

   Supports the registration of subject descriptions with after words in `WordSpec` and `FixtureWordSpec`.

   Supports the registration of subject descriptions with after words in `WordSpec` and `FixtureWordSpec`.

   For example, this method enables syntax such as the following in `WordSpec` and `FixtureWordSpec`:

       def provide = afterWord("provide")

       "The ScalaTest Matchers DSL" can provide {
                                    ^

   `WordSpec` passes in a function via the implicit parameter that takes two strings and a `ResultOfAfterWordApplication` and results in `Unit`. This method simply invokes this function, passing in left, the verb string `"can"`, and the `ResultOfAfterWordApplication` passed to `can`.

8. #### def can (right: ⇒ Unit)(implicit fun: StringVerbBlockRegistration): Unit

   Supports the registration of subject descriptions in `WordSpec` and `FixtureWordSpec`.

   Supports the registration of subject descriptions in `WordSpec` and `FixtureWordSpec`.

   For example, this method enables syntax such as the following in `WordSpec` and `FixtureWordSpec`:

       "A Stack (when empty)" can { ...
                              ^

   `WordSpec` passes in a function via the implicit parameter of type `StringVerbBlockRegistration`, a function that takes two strings and a no-arg function and results in `Unit`. This method simply invokes this function, passing in left, the verb string `"can"`, and the right by-name parameter transformed into a no-arg function.

9. #### def can (right: BehaveWord)(implicit fun: (String) ⇒ BehaveWord): BehaveWord

   Supports shared test registration in `FlatSpec` and `FixtureFlatSpec`.

   Supports shared test registration in `FlatSpec` and `FixtureFlatSpec`.

   For example, this method enables syntax such as the following in `FlatSpec` and `FixtureFlatSpec`:

       "A Stack (with one item)" can behave like nonEmptyStack(stackWithOneItem, lastValuePushed)
                                 ^

   `FlatSpec` and `FixtureFlatSpec` passes in a function via the implicit parameter that takes a string and results in a `BehaveWord`. This method simply invokes this function, passing in left, and returns the result.

10. #### def can (right: String)(implicit fun: (String, String, String) ⇒ ResultOfStringPassedToVerb): ResultOfStringPassedToVerb

    Supports test registration in `FlatSpec` and `FixtureFlatSpec`.

    Supports test registration in `FlatSpec` and `FixtureFlatSpec`.

    For example, this method enables syntax such as the following in `FlatSpec` and `FixtureFlatSpec`:

        "A Stack (when empty)" can "be empty" in { ... }
                               ^

    `FlatSpec` passes in a function via the implicit parameter that takes three strings and results in a `ResultOfStringPassedToVerb`. This method simply invokes this function, passing in left, the verb string `"can"`, and right, and returns the result.

11. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

15. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

17. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

18. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def toString (): String

    Definition Classes
      AnyRef → Any

23. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

25. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any